Generate features
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/generate-features \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"dspId": 123,
"calculateFeatureImportance": true,
"skipFeatureExplorer": true
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/generate-features"
payload = {
"dspId": 123,
"calculateFeatureImportance": True,
"skipFeatureExplorer": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dspId: 123, calculateFeatureImportance: true, skipFeatureExplorer: true})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/generate-features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Generate features
Take the raw training set and generate features from them. Updates are streamed over the websocket API.
POST
/
api
/
{projectId}
/
jobs
/
generate-features
Generate features
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Body
application/json
DSP block ID to generate features for
Whether to generate feature importance (only when available)
If set, skips feature explorer (used in tests)
Data normalization method to use on the generated features. This only applies if canNormalizeData is true.
Available options:
none, normalize-channel-standard-scaler Was this page helpful?
⌘I